## gopass 1.0.6

=== Makefile ===
all: fmt gopass test vet lint

SOURCEDIR=.
SOURCES := $(shell find $(SOURCEDIR) -name '*.go') Makefile

gopass: $(SOURCES)
	go build -v -o gopass cmd/gopass/main.go

.PHONY: test
test:
	go test -v ./...

.PHONY: install
install:
	go install ./...

.PHONY: clean
clean:
	rm -rf gopass

.PHONY: vet
vet:
	go vet -v ./...

.PHONY: lint
lint:
	golint ./...

.PHONY: fmt
fmt:
	go fmt ./...


.PHONY: get-deps
get-deps:
	go get -t ./...

## gopass 1.0.4

=== debian/changelog ===
gopass (1.0.4-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Alexandre Viau <aviau@debian.org>  Mon, 17 Jul 2017 20:54:44 -0400

gopass (1.0.2-2) unstable; urgency=medium

  * d/copyright: create section for bash_completion.d/gopass

 -- Alexandre Viau <aviau@debian.org>  Mon, 17 Jul 2017 19:37:58 -0400

gopass (1.0.2-1) unstable; urgency=medium

  * New upstream snapshot.
  * Include bash completion.
  * Create golang-github-aviau-gopass-dev package.
  * Set proper package sections.

 -- Alexandre Viau <aviau@debian.org>  Mon, 17 Jul 2017 18:50:09 -0400

gopass (1.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #781494)

 -- Alexandre Viau <aviau@debian.org>  Mon, 17 Jul 2017 15:26:42 -0400

=== debian/control ===
Source: gopass
Section: admin
Priority: extra
Maintainer: Alexandre Viau <aviau@debian.org>
Build-Depends: debhelper (>= 10),
               bash-completion,
               dh-golang,
               golang-any,
               golang-github-mgutz-ansi-dev,
               golang-github-stretchr-testify-dev,
               golang-golang-x-crypto-dev
Standards-Version: 4.0.0
Homepage: https://github.com/aviau/gopass
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gopass.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/gopass.git
XS-Go-Import-Path: github.com/aviau/gopass
Testsuite: autopkgtest-pkg-go

Package: golang-github-aviau-gopass-dev
Section: devel
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-github-mgutz-ansi-dev,
         golang-github-stretchr-testify-dev,
         golang-golang-x-crypto-dev
Description: pass implementation in Go - dev package
 gopass is a Pass (http://www.passwordstore.org/) implementation in Go.
 .
 Password management should be simple and follow Unix philosophy. With
 gopass, each password lives inside of a gpg encrypted file whose filename
 is the title of the website or resource that requires the password. These
 encrypted files may be organized into meaningful folder hierarchies,
 copied from computer to computer, and, in general, manipulated using
 standard command line file management utilities.
 .
 This package contains the go source files.

Package: gopass
Architecture: any
Built-Using: ${misc:Built-Using}
Suggests: bash-completion
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gnupg2 | gnupg,
         tree
Description: pass implementation in Go
 gopass is a Pass (http://www.passwordstore.org/) implementation in Go.
 .
 Password management should be simple and follow Unix philosophy. With
 gopass, each password lives inside of a gpg encrypted file whose filename
 is the title of the website or resource that requires the password. These
 encrypted files may be organized into meaningful folder hierarchies,
 copied from computer to computer, and, in general, manipulated using
 standard command line file management utilities.
 .
 This package contains the gopass executable.

## gopass 1.0.5

=== debian/changelog ===
gopass (1.0.5-1) unstable; urgency=medium

  * New upstream snapshot.
  * d/control: gopass recommends git.
  * d/control: change priority from extra to optional for gopass.

 -- Alexandre Viau <aviau@debian.org>  Wed, 19 Jul 2017 10:54:12 -0400

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: gopass
 Section: admin
-Priority: extra
+Priority: optional
 Maintainer: Alexandre Viau <aviau@debian.org>
 Build-Depends: debhelper (>= 10),
                bash-completion,
@@ -18,6 +18,7 @@
 
 Package: golang-github-aviau-gopass-dev
 Section: devel
+Priority: extra
 Architecture: all
 Depends: ${shlibs:Depends},
          ${misc:Depends},
@@ -40,6 +41,7 @@
 Architecture: any
 Built-Using: ${misc:Built-Using}
 Suggests: bash-completion
+Recommends: git
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          gnupg2 | gnupg,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
LDFLAGS=-ldflags "-X github.com/aviau/gopass/version.Version=$(DEB_VERSION_UPSTREAM)"

%:
	dh $@ --buildsystem=golang --with=golang,bash-completion

override_dh_auto_test:
	dh_auto_test -- $(LDFLAGS)

override_dh_auto_build:
	dh_auto_build -- $(LDFLAGS)

## gopass 1.0.6

=== debian/changelog ===
gopass (1.0.6-2) unstable; urgency=medium

  * Depend on golang-go. (Closes: #868987)

 -- Alexandre Viau <aviau@debian.org>  Wed, 19 Jul 2017 22:58:30 -0400

gopass (1.0.6-1) unstable; urgency=medium

  * New upstream snapshot. (Closes: #868987)

 -- Alexandre Viau <aviau@debian.org>  Wed, 19 Jul 2017 21:24:29 -0400

## gopass 1.0.7

=== debian/changelog ===
gopass (1.0.7-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Alexandre Viau <aviau@debian.org>  Thu, 24 Aug 2017 23:02:56 -0400

## gopass 1.0.8

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,20 @@
+#    Copyright (C) 2017 Alexandre Viau <alexandre@alexandreviau.net>
+#
+#    This file is part of gopass.
+#
+#    gopass is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    gopass is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with gopass.  If not, see <http://www.gnu.org/licenses/>.
+
 all: fmt gopass test vet lint
 
 SOURCEDIR=.

=== debian/changelog ===
gopass (1.0.8-2) unstable; urgency=medium

  * Move to salsa.debian.org.

 -- Alexandre Viau <aviau@debian.org>  Fri, 29 Dec 2017 01:26:50 -0500

gopass (1.0.8-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Alexandre Viau <aviau@debian.org>  Sun, 17 Dec 2017 14:11:50 -0500

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Build-Depends: debhelper (>= 10),
                bash-completion,
                dh-golang,
-               golang-any,
+               golang-go,
                golang-github-mgutz-ansi-dev,
                golang-github-stretchr-testify-dev,
                golang-golang-x-crypto-dev
 Standards-Version: 4.0.0
 Homepage: https://github.com/aviau/gopass
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gopass.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/gopass.git
+Vcs-Browser: https://salsa.debian.org/debian/gopass
+Vcs-Git: https://salsa.debian.org/debian/gopass.git
 XS-Go-Import-Path: github.com/aviau/gopass
 Testsuite: autopkgtest-pkg-go

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/gopass-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/aviau/gopass/tags .*/v?(\d\S*)\.tar\.gz

## gopass 1.1.0

=== debian/changelog ===
gopass (1.1.0-1) unstable; urgency=medium

  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Sat, 10 Feb 2018 10:15:45 -0500

## gopass 1.2.0

=== debian/changelog ===
gopass (1.2.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Deprecating priority extra as per policy 4.0.1

  [ Alexandre Viau ]
  * Clarify relation with gopass.pw in description (Closes: #912408)

 -- Alexandre Viau <aviau@debian.org>  Wed, 31 Oct 2018 17:27:33 -0400

gopass (1.2.0-1) unstable; urgency=medium

  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Tue, 20 Feb 2018 21:19:23 -0500

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,6 @@
 
 Package: golang-github-aviau-gopass-dev
 Section: devel
-Priority: extra
 Architecture: all
 Depends: ${shlibs:Depends},
          ${misc:Depends},
@@ -34,6 +33,8 @@
  encrypted files may be organized into meaningful folder hierarchies,
  copied from computer to computer, and, in general, manipulated using
  standard command line file management utilities.
+ .
+ This package is not gopass.pw (similar project with the same name).
  .
  This package contains the go source files.
 
@@ -56,4 +57,6 @@
  copied from computer to computer, and, in general, manipulated using
  standard command line file management utilities.
  .
+ This package is not gopass.pw (similar project with the same name).
+ .
  This package contains the gopass executable.

## gopass 1.3.0

=== debian/changelog ===
gopass (1.3.0-1build1) hirsute; urgency=medium

  * No-change rebuild using new golang

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 11 Nov 2020 22:17:00 +0000

gopass (1.3.0-1) unstable; urgency=medium

  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Sun, 10 May 2020 15:15:34 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gopass
 Section: admin
 Priority: optional
-Maintainer: Alexandre Viau <aviau@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alexandre Viau <aviau@debian.org>
 Build-Depends: debhelper (>= 10),
                bash-completion,
                dh-golang,

## gopass 1.4.0

=== debian/changelog ===
gopass (1.4.0-1) unstable; urgency=medium

  * New upstream version.
  * Rules-Requires-Root: no.

 -- Alexandre Viau <aviau@debian.org>  Sat, 02 Jan 2021 14:11:18 -0500

## gopass 1.4.1

=== Makefile ===
--- 
+++ 
@@ -20,34 +20,37 @@
 SOURCEDIR=.
 SOURCES := $(shell find $(SOURCEDIR) -name '*.go') Makefile
 
+GO_IMPORT_PATH := github.com/aviau/gopass
+
 gopass: $(SOURCES)
-	go build -v -o gopass cmd/gopass/main.go
+	go build -v -o gopass ${GO_IMPORT_PATH}/cmd/gopass
 
 .PHONY: test
 test:
-	go test -v ./...
+	go test -v ${GO_IMPORT_PATH}/...
 
 .PHONY: install
 install:
-	go install ./...
+	go install ${GO_IMPORT_PATH}/...
 
 .PHONY: clean
 clean:
 	rm -rf gopass
 
 .PHONY: vet
-vet:
-	go vet -v ./...
+vet: install
+	go get github.com/stretchr/testify/assert
+	go vet -v ${GO_IMPORT_PATH}/...
 
 .PHONY: lint
 lint:
-	golint ./...
+	golint ${GO_IMPORT_PATH}/...
 
 .PHONY: fmt
 fmt:
-	go fmt ./...
+	go fmt ${GO_IMPORT_PATH}/...
 
 
 .PHONY: get-deps
 get-deps:
-	go get -t ./...
+	go get -t ${GO_IMPORT_PATH}/...

=== debian/changelog ===
gopass (1.4.1-1) unstable; urgency=medium

  * New upstream version.

 -- Alexandre Viau <aviau@debian.org>  Sat, 02 Jan 2021 15:10:32 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gopass
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alexandre Viau <aviau@debian.org>
+Maintainer: Alexandre Viau <aviau@debian.org>
 Build-Depends: debhelper (>= 10),
                bash-completion,
                dh-golang,
@@ -16,6 +15,7 @@
 Vcs-Git: https://salsa.debian.org/debian/gopass.git
 XS-Go-Import-Path: github.com/aviau/gopass
 Testsuite: autopkgtest-pkg-go
+Rules-Requires-Root: no
 
 Package: golang-github-aviau-gopass-dev
 Section: devel

## gopass 1.5.0

=== Makefile ===
--- 
+++ 
@@ -15,42 +15,35 @@
 #    You should have received a copy of the GNU General Public License
 #    along with gopass.  If not, see <http://www.gnu.org/licenses/>.
 
-all: fmt gopass test vet lint
+all: fmt gopass test lint
 
-SOURCEDIR=.
+SOURCEDIR := $(CURDIR)
 SOURCES := $(shell find $(SOURCEDIR) -name '*.go') Makefile
 
-GO_IMPORT_PATH := github.com/aviau/gopass
-
 gopass: $(SOURCES)
-	go build -v -o gopass ${GO_IMPORT_PATH}/cmd/gopass
+	go build -v -o gopass ./cmd/gopass
 
 .PHONY: test
 test:
-	go test -v ${GO_IMPORT_PATH}/...
+	go test -v ./...
 
 .PHONY: install
 install:
-	go install ${GO_IMPORT_PATH}/...
+	go install ./cmd/gopass
 
 .PHONY: clean
 clean:
 	rm -rf gopass
 
-.PHONY: vet
-vet: install
-	go get github.com/stretchr/testify/assert
-	go vet -v ${GO_IMPORT_PATH}/...
-
 .PHONY: lint
 lint:
-	golint ${GO_IMPORT_PATH}/...
+	go vet -v ./...
+	go run honnef.co/go/tools/cmd/staticcheck ./...
 
 .PHONY: fmt
 fmt:
-	go fmt ${GO_IMPORT_PATH}/...
-
+	go fmt ./...
 
 .PHONY: get-deps
 get-deps:
-	go get -t ${GO_IMPORT_PATH}/...
+	go get -t ./...

=== debian/changelog ===
gopass (1.5.0-1ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Tue, 24 Jun 2025 14:27:37 +1000

gopass (1.5.0-1ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 01 Nov 2024 12:47:46 +0100

gopass (1.5.0-1ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Thu, 11 Jul 2024 12:13:06 +0530

gopass (1.5.0-1build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:16:13 +1200

gopass (1.5.0-1) unstable; urgency=medium

  * New upstream version.
  * Depend on golang-github-pquerna-otp-dev.
  * Standards-Version: 4.0.0 -> 4.6.0.

 -- Alexandre Viau <aviau@debian.org>  Mon, 11 Oct 2021 14:13:25 -0400

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=golang --with=golang,bash-completion
